> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperbeam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Single Session

## Parameters

**session\_id**

The ID of the cloud computer session

## Response

**session\_id** `string`

The ID of the cloud computer session

**embed\_url** `string`

A URL you can load into the [web client](https://docs.hyperbeam.com/client-sdk/javascript) on your
website

**admin\_token** `string`

A token that grants access to the cloud computer API and an exclusive subset
of the client-side web API. Needed for setting permissions and programmatic
control.

**creation\_date** `string`

The creation date of the cloud computer session. Formatted according to
[RFC3339](https://datatracker.ietf.org/doc/html/rfc3339) (e.g.
2006-01-02T15:04:05Z07:00).

**termination\_date** `string or null`

The termination date of the cloud computer session. Formatted according to
[RFC3339](https://datatracker.ietf.org/doc/html/rfc3339) (e.g.
2006-01-02T15:04:05Z07:00). `null` if the session hasn't terminated yet.

```bash cURL theme={null}
curl -H 'Authorization: Bearer <your-api-key>' \
    https://engine.hyperbeam.com/v0/vm/<session_id>
```

```json Response Example theme={null}
{
  "session_id": "c5772689-2255-4e59-8cea-b846cda7ad4e",
  "embed_url": "https://96xljbfypmn3ibra366yqapci.hyperbeam.com/AAEjQFOIRnyeb81XbBsHMw?token=VTWsp1KGn4lLySRkUCmmAhsCcqJrPdhTXNS0Y-KPwHU",
  "admin_token": "DrXWd9QguPRSXwhQn4yJ66sExpoV0BZtAfZsseYECKo",
  "creation_date": "2025-01-02T15:04:05Z07:00",
  "termination_date": null
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.